com.r3corda.contracts.asset / Obligation / IssuanceDefinition

# IssuanceDefinition

`data class IssuanceDefinition<P>`

Subset of state, containing the elements specified when issuing a new settlement contract. TODO: This needs to be something common to contracts that we can be obliged to pay, and moved out into core accordingly.

### Parameters

`P` - the product the obligation is for payment of.

### Constructors

<init> | `IssuanceDefinition(obligor: Party, template: StateTemplate<P>)` Subset of state, containing the elements specified when issuing a new settlement contract. TODO: This needs to be something common to contracts that we can be obliged to pay, and moved out into core accordingly.

### Properties

obligor | `val obligor: Party`
template | `val template: StateTemplate<P>`

### Extension Functions

at | `infix fun <T> IssuanceDefinition<T>.at(dueBefore: Instant): IssuanceDefinition<T>`